# Uses of Class
org.springframework.expression.TypedValue

Packages that use TypedValue
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.common
Common utility classes behind the Spring Expression Language.
org.springframework.expression.spel
SpEL's central implementation package.
org.springframework.expression.spel.ast
SpEL's abstract syntax tree.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of TypedValue in org.springframework.expression

Fields in org.springframework.expression declared as TypedValue
Modifier and Type
Field
Description
`static final TypedValue`
TypedValue.`NULL`
`TypedValue` for `null`.
Methods in org.springframework.expression that return TypedValue
Modifier and Type
Method
Description
`default TypedValue`
EvaluationContext.`assignVariable(String name, Supplier<TypedValue> valueSupplier)`
Assign the value created by the specified `Supplier` to a named variable within this evaluation context.
`TypedValue`
ConstructorExecutor.`execute(EvaluationContext context, Object... arguments)`
Execute a constructor in the specified context using the specified arguments.
`TypedValue`
MethodExecutor.`execute(EvaluationContext context, Object target, Object... arguments)`
Execute a method in the specified context using the specified arguments.
`TypedValue`
EvaluationContext.`getRootObject()`
Return the default root context object against which unqualified properties, methods, etc.
`TypedValue`
IndexAccessor.`read(EvaluationContext context, Object target, Object index)`
Read an index from a specified target object.
`TypedValue`
PropertyAccessor.`read(EvaluationContext context, Object target, String name)`
Called to read a property from a specified target object.
Method parameters in org.springframework.expression with type arguments of type TypedValue
Modifier and Type
Method
Description
`default TypedValue`
EvaluationContext.`assignVariable(String name, Supplier<TypedValue> valueSupplier)`
Assign the value created by the specified `Supplier` to a named variable within this evaluation context.

## Uses of TypedValue in org.springframework.expression.common

Methods in org.springframework.expression.common with parameters of type TypedValue
Modifier and Type
Method
Description
`static <T> T`
ExpressionUtils.`convertTypedValue(EvaluationContext context, TypedValue typedValue, Class<T> targetType)`
Determines if there is a type converter available in the specified context and attempts to use it to convert the supplied value to the specified type.
`static boolean`
ExpressionUtils.`toBoolean(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a boolean using the supplied type converter.
`static byte`
ExpressionUtils.`toByte(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a byte using the supplied type converter.
`static char`
ExpressionUtils.`toChar(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a char using the supplied type converter.
`static double`
ExpressionUtils.`toDouble(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a double using the supplied type converter.
`static float`
ExpressionUtils.`toFloat(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a float using the supplied type converter.
`static int`
ExpressionUtils.`toInt(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to an int using the supplied type converter.
`static long`
ExpressionUtils.`toLong(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a long using the supplied type converter.
`static short`
ExpressionUtils.`toShort(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a short using the supplied type converter.

## Uses of TypedValue in org.springframework.expression.spel

Methods in org.springframework.expression.spel that return TypedValue
Modifier and Type
Method
Description
`TypedValue`
ExpressionState.`assignVariable(String name, Supplier<TypedValue> valueSupplier)`
Assign the value created by the specified `Supplier` to a named variable within the evaluation context.
`TypedValue`
ExpressionState.`getActiveContextObject()`
The active context object is what unqualified references to properties/etc are resolved against.
`TypedValue`
ExpressionState.`getRootContextObject()`
`TypedValue`
ExpressionState.`getScopeRootContextObject()`
`TypedValue`
SpelNode.`getTypedValue(ExpressionState expressionState)`
Evaluate the expression node in the context of the supplied expression state and return the typed value.
`TypedValue`
ExpressionState.`lookupVariable(String name)`
Look up a named global variable in the evaluation context.
`TypedValue`
ExpressionState.`operate(Operation op, Object left, Object right)`
Methods in org.springframework.expression.spel with parameters of type TypedValue
Modifier and Type
Method
Description
`Object`
ExpressionState.`convertValue(TypedValue value, org.springframework.core.convert.TypeDescriptor targetTypeDescriptor)`
`void`
ExpressionState.`pushActiveContextObject(TypedValue obj)`
Method parameters in org.springframework.expression.spel with type arguments of type TypedValue
Modifier and Type
Method
Description
`TypedValue`
ExpressionState.`assignVariable(String name, Supplier<TypedValue> valueSupplier)`
Assign the value created by the specified `Supplier` to a named variable within the evaluation context.
Constructors in org.springframework.expression.spel with parameters of type TypedValue
Modifier
Constructor
Description
``
`ExpressionState(EvaluationContext context, TypedValue rootObject)`
``
`ExpressionState(EvaluationContext context, TypedValue rootObject, SpelParserConfiguration configuration)`

## Uses of TypedValue in org.springframework.expression.spel.ast

Methods in org.springframework.expression.spel.ast that return TypedValue
Modifier and Type
Method
Description
`TypedValue`
FloatLiteral.`getLiteralValue()`
`TypedValue`
IntLiteral.`getLiteralValue()`
`abstract TypedValue`
Literal.`getLiteralValue()`
`TypedValue`
LongLiteral.`getLiteralValue()`
`TypedValue`
NullLiteral.`getLiteralValue()`
`TypedValue`
RealLiteral.`getLiteralValue()`
`TypedValue`
StringLiteral.`getLiteralValue()`
`final TypedValue`
SpelNodeImpl.`getTypedValue(ExpressionState expressionState)`
`TypedValue`
ValueRef.`getValue()`
Returns the value this ValueRef points to, it should not require expression component re-evaluation.
`TypedValue`
ValueRef.NullValueRef.`getValue()`
`TypedValue`
ValueRef.TypedValueHolderValueRef.`getValue()`
`TypedValue`
Assign.`getValueInternal(ExpressionState state)`
`TypedValue`
BeanReference.`getValueInternal(ExpressionState state)`
`TypedValue`
CompoundExpression.`getValueInternal(ExpressionState state)`
Evaluates a compound expression.
`TypedValue`
ConstructorReference.`getValueInternal(ExpressionState state)`
Implements getValue() - delegating to the code for building an array or a simple type.
`TypedValue`
Elvis.`getValueInternal(ExpressionState state)`
Evaluate the condition and if neither null nor an empty String, return it.
`TypedValue`
FunctionReference.`getValueInternal(ExpressionState state)`
`TypedValue`
Identifier.`getValueInternal(ExpressionState state)`
`TypedValue`
Indexer.`getValueInternal(ExpressionState state)`
`TypedValue`
InlineList.`getValueInternal(ExpressionState expressionState)`
`TypedValue`
InlineMap.`getValueInternal(ExpressionState expressionState)`
`final TypedValue`
Literal.`getValueInternal(ExpressionState state)`
`TypedValue`
MethodReference.`getValueInternal(ExpressionState state)`
`TypedValue`
OpAnd.`getValueInternal(ExpressionState state)`
`TypedValue`
OpDec.`getValueInternal(ExpressionState state)`
`TypedValue`
OpDivide.`getValueInternal(ExpressionState state)`
`TypedValue`
OperatorPower.`getValueInternal(ExpressionState state)`
`TypedValue`
OpInc.`getValueInternal(ExpressionState state)`
`TypedValue`
OpMinus.`getValueInternal(ExpressionState state)`
`TypedValue`
OpModulus.`getValueInternal(ExpressionState state)`
`TypedValue`
OpMultiply.`getValueInternal(ExpressionState state)`
Implements the `multiply` operator directly here for certain types of supported operands and otherwise delegates to any registered overloader for types not supported here.
`TypedValue`
OpPlus.`getValueInternal(ExpressionState state)`
`TypedValue`
Projection.`getValueInternal(ExpressionState state)`
`TypedValue`
PropertyOrFieldReference.`getValueInternal(ExpressionState state)`
`TypedValue`
QualifiedIdentifier.`getValueInternal(ExpressionState state)`
`TypedValue`
Selection.`getValueInternal(ExpressionState state)`
`abstract TypedValue`
SpelNodeImpl.`getValueInternal(ExpressionState expressionState)`
`TypedValue`
Ternary.`getValueInternal(ExpressionState state)`
Evaluate the condition and if true evaluate the first alternative, otherwise evaluate the second alternative.
`TypedValue`
TypeReference.`getValueInternal(ExpressionState state)`
`TypedValue`
VariableReference.`getValueInternal(ExpressionState state)`
`TypedValue`
CompoundExpression.`setValueInternal(ExpressionState state, Supplier<TypedValue> valueSupplier)`
`TypedValue`
Indexer.`setValueInternal(ExpressionState state, Supplier<TypedValue> valueSupplier)`
`TypedValue`
PropertyOrFieldReference.`setValueInternal(ExpressionState state, Supplier<TypedValue> valueSupplier)`
`TypedValue`
SpelNodeImpl.`setValueInternal(ExpressionState expressionState, Supplier<TypedValue> valueSupplier)`
Evaluate the expression to a node and then set the new value created by the specified `Supplier` on that node.
`TypedValue`
VariableReference.`setValueInternal(ExpressionState state, Supplier<TypedValue> valueSupplier)`
Methods in org.springframework.expression.spel.ast with parameters of type TypedValue
Modifier and Type
Method
Description
`boolean`
PropertyOrFieldReference.`isWritableProperty(String name, TypedValue contextObject, EvaluationContext evalContext)`
Method parameters in org.springframework.expression.spel.ast with type arguments of type TypedValue
Modifier and Type
Method
Description
`TypedValue`
CompoundExpression.`setValueInternal(ExpressionState state, Supplier<TypedValue> valueSupplier)`
`TypedValue`
Indexer.`setValueInternal(ExpressionState state, Supplier<TypedValue> valueSupplier)`
`TypedValue`
PropertyOrFieldReference.`setValueInternal(ExpressionState state, Supplier<TypedValue> valueSupplier)`
`TypedValue`
SpelNodeImpl.`setValueInternal(ExpressionState expressionState, Supplier<TypedValue> valueSupplier)`
Evaluate the expression to a node and then set the new value created by the specified `Supplier` on that node.
`TypedValue`
VariableReference.`setValueInternal(ExpressionState state, Supplier<TypedValue> valueSupplier)`
Constructors in org.springframework.expression.spel.ast with parameters of type TypedValue
Modifier
Constructor
Description
``
`TypedValueHolderValueRef(TypedValue typedValue, SpelNodeImpl node)`

## Uses of TypedValue in org.springframework.expression.spel.support

Subclasses of TypedValue in org.springframework.expression.spel.support
Modifier and Type
Class
Description
`final class`
`BooleanTypedValue`
A `TypedValue` for booleans.
Methods in org.springframework.expression.spel.support that return TypedValue
Modifier and Type
Method
Description
`TypedValue`
SimpleEvaluationContext.`assignVariable(String name, Supplier<TypedValue> valueSupplier)`
`SimpleEvaluationContext` does not support variable assignment within expressions.
`TypedValue`
ReflectiveConstructorExecutor.`execute(EvaluationContext context, Object... arguments)`
`TypedValue`
ReflectiveMethodExecutor.`execute(EvaluationContext context, Object target, Object... arguments)`
`TypedValue`
SimpleEvaluationContext.`getRootObject()`
Return the specified root object, if any.
`TypedValue`
StandardEvaluationContext.`getRootObject()`
`TypedValue`
ReflectiveIndexAccessor.`read(EvaluationContext context, Object target, Object index)`
Invoke the configured read-method via reflection and return the result wrapped in a `TypedValue`.
`TypedValue`
ReflectivePropertyAccessor.`read(EvaluationContext context, Object target, String name)`
Method parameters in org.springframework.expression.spel.support with type arguments of type TypedValue
Modifier and Type
Method
Description
`TypedValue`
SimpleEvaluationContext.`assignVariable(String name, Supplier<TypedValue> valueSupplier)`
`SimpleEvaluationContext` does not support variable assignment within expressions.